Package Base Details: xen

Git Clone URL: https://aur.archlinux.org/xen.git (read-only, click to copy)
Keywords: hypervisor virtualization xen
Submitter: sergej
Maintainer: Refutationalist
Last Packager: Refutationalist
Votes: 182
Popularity: 0.42
First Submitted: 2009-11-09 11:22
Last Updated: 2021-04-15 09:43

Packages (2)

Pinned Comments

Refutationalist commented on 2021-04-15 09:56

1) 4.15.0-1 adds zstd kernel support, so the hook for that is no longer needed, but I'm not sure if ever made it out of my personal repo.

2) The -no-pie problem in linking is present in 4.15, and there's an included patch for that. It is now the only patch needed to compile cleanly on Arch.

3) As promised, stubdom has moved from building by default to not building by default, as no one has spoken up about using it. If I continue maintaining the package, the plan is to remove it in the next major release.

4) I haven't done anything about the SDL2 deps.

5) Unless a co-maintainer is added, this is likely going to be the last release for a few months as I'm going in for surgery to have a brain tumor removed next month.

Latest Comments

« First ‹ Previous ... 88 89 90 91 92 93

luka commented on 2010-08-30 13:51

I can not start xend :-(, everything worked fine in xen-4.0.0
here is error log from /var/log/xend.log:

http://aur.pastebin.com/UFXhmECC

Can you send me the old xen-4.0.0 pkg build?

Anonymous comment on 2010-08-29 11:32

In order to install lib32-glibc I had to enable to multilib repository ( ' http://www.archlinux.org/news/508/ ' ),
afterwards it compiled successfully on X86_64.

robertfoster commented on 2010-08-28 14:48

completely fixed! fixed! fixed! now it should compile at least on i686
I'm waiting for someone to compile on x86_64

robertfoster commented on 2010-08-28 14:20

I've updated and fixed many problems...but I don't know how to finalize install-xen...for now it packages only tools and doc..
let me know if there's a solution.
I only know that if I try to compile dist-xen or install-xen without the PKGBUILD it succeedes althought during the makepkg process it miserably fails.

steve1234 commented on 2010-07-02 18:47

Is lib32-glibc-devel still a dependency? Looking at the PKGBUILD for lib32-glibc-devel I see the source get to:

http://www.mirrorservice.org/sites/ftp.archlinux.org/core/os/i686/glibc-2.12-2-i686.pkg.tar.xz

I have package glibc-2.12-2-x86_64.pkg.tar.xz installed. Does this satisify the dependency of lib32-glibc-devel for the AUR package 'xen'?

mortzu commented on 2010-06-24 12:38

this package is now without kernel. so please use kernel26-xen-dom0

Anonymous comment on 2010-04-07 21:32

Xen 4.0 is out